Class Attributes
- java.lang.Object
-
- nzilbb.labbcat.server.api.APIRequestHandler
-
- nzilbb.labbcat.server.api.admin.elicit.Attributes
-
@RequiredRole("admin") public class Attributes extends APIRequestHandler
Lists transcript or participant attributes elicited during task./api/admin/elicit/attributes/{transcript|participant}/task_id
The following operation, specified by the HTTP method, is supported:
- GET
- List the attributes elicited by the task.
- Response Body - the standard JSON envelope, with the model as an
array of objects with the same structure as returned by store/getLayer
specifically:
- id
- The attribute's layer ID.
- attribute
- The attribute's name.
- description
- The layer's user-facing description.
- type
- The type of values the attribute can have.
- validLabels
- An object definition possible labels and their user-facing descriptions.
- Response Status
- 200 : The attributes (if any) were listed.
- 400 : The requested path was invalid.
- Response Body - the standard JSON envelope, with the model as an
array of objects with the same structure as returned by store/getLayer
specifically:
- Author:
- Robert Fromont robert@fromont.net.nz
-
-
Field Summary
-
Fields inherited from class nzilbb.labbcat.server.api.APIRequestHandler
SC_BAD_REQUEST, SC_CONFLICT, SC_CREATED, SC_FORBIDDEN, SC_INTERNAL_SERVER_ERROR, SC_METHOD_NOT_ALLOWED, SC_NOT_FOUND, SC_OK, SC_UNAUTHORIZED, SC_UNPROCESSABLE_CONTENT, SC_UNSUPPORTED_MEDIA_TYPE
-
-
Constructor Summary
Constructors Constructor Description Attributes()Default constructor.
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description javax.json.JsonObjectget(String pathInfo, Consumer<Integer> httpStatus)GET handler - receive an uploaded stimulus file.-
Methods inherited from class nzilbb.labbcat.server.api.APIRequestHandler
getContext, GetSystemAttribute, init, writeResponse
-
-